Skip to main content
`Ctrl`+`K`

# MatDFischer

Calculates an element of the B-subdifferential of the Fischer-Burmeister function for complementarity problems.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode MatDFischer(Mat jac, Vec X, Vec Con, Vec XL, Vec XU, Vec T1, Vec T2, Vec Da, Vec Db)

Collective

## Input Parameters

- jac - the jacobian of `f` at `X`

- X - current point

- Con - constraints function evaluated at `X`

- XL - lower bounds

- XU - upper bounds

- T1 - work vector

- T2 - work vector

## Output Parameters

- Da - diagonal perturbation component of the result

- Db - row scaling component of the result

## See Also

`Mat`, `VecFischer()`, `VecSFischer()`, `MatDSFischer()`

## Level

developer

## Location

src/tao/util/tao_util.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages